Skip to main content
POST
/
projects
/
{project_id}
/
data_point_types
Create a data point type
curl --request POST \
  --url https://app.gomangrove.com/api/v1/projects/{project_id}/data_point_types \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data_point_type": {
    "name": "Mass of Feedstock Delivery",
    "value_type": "number",
    "unit": "U.S. ton",
    "nexus_event_type_id": 1
  }
}
'
{
  "id": 1,
  "slug": "mass-of-feedstock-delivery",
  "name": "Mass of Feedstock Delivery",
  "value_type": "number",
  "unit": "U.S. ton",
  "is_static": false,
  "nexus_event_type_id": 1,
  "created_at": "2025-02-03T14:19:11.787Z",
  "updated_at": "2025-02-03T14:19:11.787Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

Body

application/json
data_point_type
object

Response

201